Subject: Re: [PATCH net-next v2] docs: net: dsa: describe issues with checksum offload

From: Vladimir Oltean <[email-masked]>
Date: Wed, 13 Apr 2022 20:53:51 +0000

On Wed, Apr 13, 2022 at 10:49:53PM +0200, Andrew Lunn wrote:
> On Wed, Apr 13, 2022 at 08:08:41PM +0000, Vladimir Oltean wrote:
> > I've copied a bunch of new people to this email.
> > 
> > TL;DR: Kurt/George/Andrew, on your systems with hellcreek/xrs700x/mv88e6060,
> > does the DSA master declare any of the following features as "on"?
> > 
> > ethtool -k eth0 | grep tx-checksum-ip
> 
> Zii-devel-c, which uses a FEC as master:
> 
> root@zii-devel-c:~# ethtool -k eth1 | grep tx-checksum-ip
> 	tx-checksum-ipv4: off [fixed]
> 	tx-checksum-ip-generic: off [fixed]
> 	tx-checksum-ipv6: off [fixed]
> 
> 370RD is a Marvell reference design, using mvneta as the master
> 
> andrew@370rd:~$ /usr/sbin/ethtool -k eth1 | grep tx-checksum-ip
> 	tx-checksum-ipv4: on
> 	tx-checksum-ip-generic: off [fixed]
> 	tx-checksum-ipv6: on
> 
> WRT1900AC is a WiFi access point, also mvneta
> 
> root@wrt1900ac:~# ethtool -k eth0 | grep tx-checksum-ip
>         tx-checksum-ipv4: on
>         tx-checksum-ip-generic: off [fixed]
>         tx-checksum-ipv6: on
> 
> I have one more system i can check, using a Marvell Kirkwood SoC using
> the mv643xx as master. I need to blow the dust off it first, i've not
> booted it in years.
> 
>     Andrew

I meant to ask about the actual mv88e6060 driver, the one that uses
tag_trailer.c, not mv88e6xxx.